4Suite™ API Documentation

# ► Module Ft.Server.Client.Commands.Rdf.Versa

This command performs a query on the combined user and system RDF models, using the Versa query language for RDF. If necessary, you will be prompted first for credentials and access info to connect to the repository.

Classes: FakeContext |  |  |  | Functions: QueryFunction, Register, Run |  |  |  | Fields: BASE_NS_MAP

## Classes

class FakeContext
For accommodation of the interface of Ft.Rdf.Parsers.Versa.Util.ProcessQueryFile

### Methods

__init__(self, model, nsMapping, varBindings, scope)
clone(self)

## Functions

QueryFunction(query, context, scope=None)
Register()
Run(options, args)

## Fields

BASE_NS_MAP = {'daml': 'http://www.daml.org/2001/03/daml+oil#', 'dc': 'http://purl.org/dc/elements/1.1/', 'versa': 'http://rdfinference.org/versa/0/2/', 'vsort': 'http://rdfinference.org/versa/0/2/sort/', 'vtrav': 'http://rdfinference.org/versa/0/2/traverse/'}